%global __requires_exclude perl\\(.*[.]pl\\)|^perl\\(vboxService\\)
%global __provides_exclude ^perl\\(vboxService\\)

%define oname   RemoteBox

Name:           remotebox
Version:        2.0
Release:        %mkrel 2
Summary:        Open Source VirtualBox Client with Remote Management
License:        GPLv2
Group:          Emulators
URL:            http://remotebox.knobgoblin.org.uk/
Source0:        http://remotebox.knobgoblin.org.uk/downloads/%{oname}-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:  appstream-util
BuildRequires:  desktop-file-utils

Requires:       perl
Requires:       perl(SOAP::Lite)
Requires:       perl-Gtk2
Requires:       perl-libwww-perl
Requires:       freerdp
Requires:       xdg-utils

%description
VirtualBox is traditionally considered to be a virtualization solution aimed 
at the desktop as opposed to other solutions such as KVM, Xen and VMWare ESX 
which are considered more server oriented solutions. While it is certainly 
possible to install VirtualBox on a server, it offers few remote management 
features beyond using the vboxmanage command line. RemoteBox aims to fill 
this gap by providing a graphical VirtualBox client which is able to 
communicate with and manage a VirtualBox server installation. 

RemoteBox achieves this by using the vboxwebsrv feature of VirtualBox that 
allows its API to be accessed using a protocol called SOAP, even across a 
network. RemoteBox is very similar in look and feel to the native VirtualBox 
interface and allows you to perform most of the same tasks, including 
accessing the display of guests – completely remotely.

%prep
%setup -q -n %{oname}-%{version}

# We need to tell RemoteBox where to find it's files
sed -i 's|\$Bin/docs|%{_docdir}/%{name}|g' remotebox
sed -i 's|\$Bin/share/remotebox|%{_datadir}/%{name}|g' remotebox
sed -i 's|\$Bin/|%{_prefix}/|g' share/remotebox/*.pl

%build
# Nothing to build.

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_bindir}

cp -ar share/remotebox/* %{buildroot}%{_datadir}/%{name}/
install -pm 0755 remotebox %{buildroot}%{_bindir}

# Appdata file
mkdir -p %{buildroot}%{_datadir}/appdata
install -pm 0644 packagers-readme/remotebox.appdata.xml %{buildroot}%{_datadir}/appdata

# Desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications packagers-readme/%{name}.desktop

# Icon for .desktop
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -pm 0644 share/remotebox/icons/remotebox.png %{buildroot}%{_datadir}/pixmaps

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/remotebox.appdata.xml

%files
%doc docs/*
%{_bindir}/remotebox
%{_datadir}/appdata/remotebox.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/remotebox.png
%{_datadir}/%{name}/


%changelog
* Fri Mar 04 2016 daviddavid <daviddavid> 2.0-2.mga6
+ Revision: 985642
- relax appdata file validation

* Sat Jan 16 2016 daviddavid <daviddavid> 2.0-1.mga6
+ Revision: 924748
- new version: 2.0 (for use with VirtualBox 5.0.x)
- use upstream desktop file
- update Source URL
- fix docdir destination

* Sat Jan 16 2016 daviddavid <daviddavid> 1.8.1-5.mga6
+ Revision: 923513
- switch to appstream-util to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-5.mga5
+ Revision: 748660
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-4.mga5
+ Revision: 688654
- Mageia 5 Mass Rebuild

  + juancho <juancho>
    - Changed Requires of rdesktop for freerdp as suggested in official docs.

* Tue Aug 12 2014 juancho <juancho> 1.8.1-2.mga5
+ Revision: 661896
- Enabled %%check section to validate the appdata file.

* Tue Aug 12 2014 juancho <juancho> 1.8.1-1.mga5
+ Revision: 661871
- imported package remotebox


* Mon Jun 16 2014 Christopher Meng <rpm@cicku.me> - 1.8.1-2
- Update to 1.8.1
- Provide an appropriate appdata file.

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 17 2014 Christopher Meng <rpm@cicku.me> - 1.8-1
- Update to 1.8

* Fri Feb 07 2014 Christopher Meng <rpm@cicku.me> - 1.7-1
- Update to 1.7

* Tue Oct 29 2013 Christopher Meng <rpm@cicku.me> - 1.6-2
- Correct the license.

* Fri Oct 25 2013 Christopher Meng <rpm@cicku.me> - 1.6-1
- Update to 1.6

* Thu Jun 06 2013 Christopher Meng <rpm@cicku.me> - 1.5-2
- SPEC cleanup.
- Fix errors of desktop file.

* Thu Apr 18 2013 Christopher Meng <rpm@cicku.me> - 1.5-1
- Initial Package.
